libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
libcamera::Extensible::Private Class Reference

Base class for private data managed through a d-pointer. More...

Inheritance diagram for libcamera::Extensible::Private:
[legend]

## Public Member Functions
| Private ()
| Construct an instance of an Extensible class private data.

## Friends
class | Extensible

## Detailed Description

Base class for private data managed through a d-pointer.

## Constructor & Destructor Documentation

## ◆ ~Private()

libcamera::Extensible::Private::~Private | ( |  | ) |
| virtual

Reimplemented in libcamera::FrameBuffer::Private.

The documentation for this class was generated from the following files:

- include/libcamera/base/class.h
- src/libcamera/base/class.cpp